enum ServiceType {
  bvnVerification,
  pvcVerification,
  ninVerification,
  nipVerification,
  dlVerification
}

extension IdentityService on ServiceType {
  static const _names = {
    ServiceType.nipVerification: "(NIP) Nigerian International Passport",
    ServiceType.ninVerification: "(NIN) National Identity Number",
    ServiceType.bvnVerification: "(BVN) Bank Verification Number",
    ServiceType.pvcVerification: "(PVC) Permanent Voters Card",
    ServiceType.dlVerification: "(NIP) Nigerian International Passport",
  };

  String name() => _names[this];

  ServiceType getServiceFromLabel(String label) {
    switch (label) {
      case "(BVN) Bank Verification Number":
        return ServiceType.bvnVerification;
      case "(NIN) National Identity Number":
        return ServiceType.ninVerification;
      case "(PVC) Permanent Voters Card":
        return ServiceType.pvcVerification;
      case "(DL) Drivers Licence":
        return ServiceType.dlVerification;
      case "(NIP) Nigerian International Passport":
        return ServiceType.nipVerification;
    }
  }
}
